%define upstream_name    HTML-TableContentParser
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Do interesting things with the contents of tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-HTML-TableContentParser-0.13-fix-tests.patch

BuildRequires: perl(HTML::Parser)

BuildArch: noarch


%description
This package pulls out the contents of a table from a string containing
HTML. Each time a table is encountered, data will be stored in an array
consisting of a hash of whatever was discovered about the table -- id,
name, border, cellspacing etc, and of course data contained within the
table.

The format of each hash will look something like

  attributes            keys from the attributes of the <table> tag
  @{$table_headers}     array of table headers, in order found
  @{$table_rows}        rows discovered, in order

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.130.0-8pclos2017
- rebuild against updates

